# POST /replicate/v1/models/black-forest-labs/flux-kontext-max/predictions

**Method**: `POST`
**Endpoint**: `/replicate/v1/models/black-forest-labs/flux-kontext-max/predictions`

<https://replicate.com/black-forest-labs/flux-kontext-max>

## Request Parameters

### Header Parameters

```text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
input
object
Required
prompt
string
Required
input_image
string
Required
aspect_ratio
string
Required
Example
{
"input"
:
{
"prompt"
:
"string"
,
"input_image"
:
"string"
,
"aspect_ratio"
:
"string"
}
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/replicate/v1/models/black-forest-labs/flux-kontext-max/predictions' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "input": {
        "prompt": "string",
        "input_image": "string",
        "aspect_ratio": "string"
    }
}'
```

## Response

### 🟢 200 Success

**Content Type**: `application/json`

#### Response Schema

```text
object
```

#### Example

```json
{}
```
